import 'package:flutter/material.dart';
import 'package:rkm_educa_app/componentes/text_custom.dart';
import 'package:rkm_educa_app/utils/dimensoes.dart';
import '../utils/cores.dart';

class ItemAgenda extends StatelessWidget {

  int cor;
  String titulo;

  ItemAgenda({
    required this.cor,
    required this.titulo,
});

  @override
  Widget build(BuildContext context) {

    return Container(
      color: PaletaCores.branco,
      padding: const EdgeInsets.symmetric(horizontal: 5.0,vertical: 0),
      child: Column(
        children: [
          Container(
            width: Dimensoes.width*0.95,
            height: 30,
            padding: const EdgeInsets.symmetric(horizontal: 0.0),
            child:  Padding(
              padding: EdgeInsets.symmetric(vertical: 5),
              child: Row(
                children: [
                  Container(
                    width: Dimensoes.width*0.2,
                    child: Icon(Icons.circle,color: Color(cor),)
                  ),
                  TextCustom(text: titulo),
                ],
              ),
            ),
          ),
          Container(width: double.infinity,height: 2,color: PaletaCores.divider,)
        ],
      ),
    );
  }
}
